"""empty message

Revision ID: 1cd1eb80731e
Revises: 1f164f1c5506
Create Date: 2018-05-07 03:26:10.231609

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '1cd1eb80731e'
down_revision = '1f164f1c5506'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_branch_revision_id', 'branch', type_='foreignkey')
    op.drop_column('branch', 'revision_id')
    op.drop_constraint('fk_profile_revision_id', 'profile', type_='foreignkey')
    op.drop_column('profile', 'revision_id')
    op.drop_constraint('fk_territory_revision_id', 'territory', type_='foreignkey')
    op.drop_column('territory', 'revision_id')
    op.drop_table('revision')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('territory', sa.Column('revision_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('fk_territory_revision_id', 'territory', 'revision', ['revision_id'], ['id'])
    op.add_column('profile', sa.Column('revision_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('fk_profile_revision_id', 'profile', 'revision', ['revision_id'], ['id'])
    op.add_column('branch', sa.Column('revision_id', sa.INTEGER(), autoincrement=False, nullable=False))
    op.create_foreign_key('fk_branch_revision_id', 'branch', 'revision', ['revision_id'], ['id'])
    op.create_table('revision',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.PrimaryKeyConstraint('id', name='revision_pkey')
    )
    # ### end Alembic commands ###
